package data;

/*
 *  Copyright (C) 2014 Juergen Platzer 
 * 
 *  This file is part of ThemeRiver.
 *  
 *  ThemeRiver is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU Lesser General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *  
 *  ThemeRiver is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU Lesser General Public License for more details.
 *  
 *  You should have received a copy of the GNU Lesser General Public License
 *  along with ThemeRiver.  If not, see <http://www.gnu.org/licenses/>.
 */

public interface DataRepresentation {

  //Setzt die Spaltenueberschriften
  public void setColumnNames(String[] colnames);

  //setzt einen neuen Datensatz
  public void addData(String timelabel, double[] newdata);

  //retourniert die Spaltenueberschriften
  public String[] getColumnNames();

  //retourniert die Zeitbezeichnung des Datensatzes
  //Zeile 0 bis datensatzanzahl-1
  public String getTimeData(int row);


  //retourniert die numerische Daten des Datensatzes
  //Zeile 0 bis datensatzanzahl-1
  public double[] getData(int row);

  //retourniert die numerische Daten in Prozent pro Zeile des Datensatzes
  //Zeile 0 bis datensatzanzahl-1
  public int[] getPercentageData(int row);


  //retourniert die Summe numerische Daten in der angegebenen Zeile
  public double getRowSum(int row);

  //retourniert den groessten Wert der Zeilensummen
  public double getMaximumSumValue();


  //retourniert die Anzahl der Datensaetze
  public int countData();

  //retourniert die Masseinheit der Zeitskala
  public String getTimeDomain();

}