package drawing;

/*
 *  Copyright (C) 2014 Juergen Platzer 
 * 
 *  This file is part of ThemeRiver.
 *  
 *  ThemeRiver is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU Lesser General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *  
 *  ThemeRiver is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU Lesser General Public License for more details.
 *  
 *  You should have received a copy of the GNU Lesser General Public License
 *  along with ThemeRiver.  If not, see <http://www.gnu.org/licenses/>.
 */

import java.util.Vector;
import java.awt.Color;


public class ColorList {

  private Vector colorlist;
  private String name;
  private boolean empty;

  public ColorList(String name) {
    colorlist = new Vector();
    colorlist.add(Color.BLACK);
    empty = true;
    this.name = name;
  }


  public void addColor(Color col) {
    if (empty) {
      colorlist.removeAllElements();
      colorlist.add(col);
      empty = false;
    }
    else {
      colorlist.add(col);
    }
  }


  public void deleteColor(int position) {
    colorlist.remove(position);
  }


  public void updateColor(int position, Color col) {
    colorlist.remove(position);
    colorlist.add(position, col);
  }

  public Color getColor(int position) {
    return (Color)colorlist.get(position % colorlist.size());
  }

  public Color[] getAllColors() {
    Color[] colarray = new Color[colorlist.size()];

    for (int i = 0; i < colorlist.size(); i++) {
      colarray[i] = (Color)colorlist.get(i);
    }

    return colarray;
  }

  public String getName() {
    return name;
  }

  public void setName(String name) {
    this.name = name;
  }


}