package drawing;

/*
 *  Copyright (C) 2014 Juergen Platzer 
 * 
 *  This file is part of ThemeRiver.
 *  
 *  ThemeRiver is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU Lesser General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *  
 *  ThemeRiver is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU Lesser General Public License for more details.
 *  
 *  You should have received a copy of the GNU Lesser General Public License
 *  along with ThemeRiver.  If not, see <http://www.gnu.org/licenses/>.
 */

import java.awt.Graphics2D;
import java.awt.Point;
import java.awt.Color;


public abstract class ThemeRiverDrawer implements IConstants {

  protected Point[][] controlpoints;
  protected int width, height;
  protected ColorList cl;

  //MagicLens
  protected ThemeRiverDrawer lensdrawer;
  protected int lenscenterx, lenswidth;


  //Konstruktor
  public ThemeRiverDrawer(Point[][] controlpoints, int width, int height, ColorList cl) {
    this.controlpoints = controlpoints;
    this.width = width;
    this.height = height;
    this.cl = cl;
    lensdrawer = null;
  }





  public abstract void draw(Graphics2D g2d);




}