package export;

/*
 *  Copyright (C) 2014 Juergen Platzer 
 * 
 *  This file is part of ThemeRiver.
 *  
 *  ThemeRiver is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU Lesser General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *  
 *  ThemeRiver is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU Lesser General Public License for more details.
 *  
 *  You should have received a copy of the GNU Lesser General Public License
 *  along with ThemeRiver.  If not, see <http://www.gnu.org/licenses/>.
 */


import java.awt.*;
import java.awt.event.*;
import javax.swing.*;
import javax.swing.event.*;




public class ExportPropDialog extends JDialog implements WindowListener {



  private ExportProperties expprops;
  private Container c;


  //Layout-Elemente
  private JLabel lwidth, lheight;
  private JTextField tfwidth, tfheight;
  private JCheckBox cblegend;
  private JButton bok, babort;

  /*
  *
  *  Konstruktor
  *
  */
  public ExportPropDialog(JFrame mfr) {

    super(mfr, true);

    this.expprops = new ExportProperties();

    createInterface();

  }



  //Erstellt das Layout
  private void createInterface() {

    //Window-Properties
    setResizable(false);
    enableEvents(AWTEvent.WINDOW_EVENT_MASK);
    addWindowListener(this);

    //Containers-Properties
    c = this.getContentPane();
    this.setSize(new Dimension(350, 180));
    c.setLayout(null);
    this.setTitle("Exporteinstellungen");


    //Bildbreite
    lwidth = new JLabel("Bildbreite: ");
    lwidth.setSize(80, 20);
    lwidth.setLocation(20, 20);

    tfwidth = new JTextField(Integer.toString(expprops.getWidth()));
    tfwidth.setHorizontalAlignment(JTextField.RIGHT);
    tfwidth.setSize(40, 20);
    tfwidth.setLocation(100, 20);


    //Bildhoehe
    lheight = new JLabel("Bildh" + "\u00f6" + "he:");
    lheight.setSize(80, 20);
    lheight.setLocation(20, 50);

    tfheight = new JTextField(Integer.toString(expprops.getHeight()));
    tfheight.setHorizontalAlignment(JTextField.RIGHT);
    tfheight.setSize(40, 20);
    tfheight.setLocation(100, 50);



    //CheckBox Legende
    cblegend = new JCheckBox("Legende anzeigen");
    cblegend.setSelected(expprops.getLegendFlag());
    cblegend.setSize(140, 20);
    cblegend.setLocation(200, 20);


    //Buttons
    bok = new JButton("\u00dc" + "bernehmen");
    bok.setSize(100, 30);
    bok.setLocation(50, 100);
    bok.addActionListener(new ActionListener() {
      public void actionPerformed(ActionEvent e) {
        bok_actionPerformed();
      }
    });


    babort = new JButton("Abbrechen");
    babort.setSize(100, 30);
    babort.setLocation(200, 100);
    babort.addActionListener(new ActionListener() {
      public void actionPerformed(ActionEvent e) {
        babort_actionPerformed();
      }
    });


    //Elemente dem Container hinzufuegen
    c.add(lwidth);
    c.add(tfwidth);

    c.add(lheight);
    c.add(tfheight);

    c.add(cblegend);

    c.add(bok);
    c.add(babort);

  }



  //Action des Uebernehmen-Buttons
  private void bok_actionPerformed() {
    try {
      int width = Integer.parseInt(tfwidth.getText());

      if (width > 2000) width = 2000;
      if (width < 200) width = 200;

      expprops.setWidth(width);

    }
    catch (Exception e) {
      System.out.println("Ein Fehler beim Uebernehmen der Daten ist aufgetreten.");
    }


    try {
      int height = Integer.parseInt(tfheight.getText());


      if (height > 2000) height = 2000;
      if (height < 200) height = 200;

      expprops.setHeight(height);

    }
    catch (Exception e) {
      //e.printStackTrace();
      System.out.println("Ein Fehler beim Uebernehmen der Daten ist aufgetreten.");
    }


    expprops.setLegendFlag(cblegend.isSelected());

    expprops.write();

    dispose();



  }


  //Action des Abbrechen-Buttons
  private void babort_actionPerformed() {
    dispose();
  }



  //WindowListener
  public void windowClosing(WindowEvent event1) {
    dispose();
  }
  public void windowGainedFocus(WindowEvent event2) {}
  public void windowClosed(WindowEvent e) {}
  public void windowDeactivated(WindowEvent e) {}
  public void windowActivated(WindowEvent e) {}
  public void windowDeiconified(WindowEvent e) {}
  public void windowIconified(WindowEvent e) {}
  public void windowOpened(WindowEvent e) {}



}